%define Summary FreeCol is an open version of the game Colonization

Name:		freecol
Version:	0.9.4
Release:	%mkrel 1
Summary:	%Summary
License:	GPLv2+
Group:		Games/Strategy
URL:		http://www.freecol.org/
Source:		http://prdownloads.sourceforge.net/freecol/freecol-%version-src.tar.gz
BuildRoot:	%_tmppath/%name-buildroot
BuildRequires:	ant
BuildRequires:	ant-nodeps
BuildRequires:	xerces-j2
Requires:	java >= 1.5
Requires:	desktop-common-data

%description
FreeCol is an open version of Colonization. It is a Civilization-like game in
which the player has to conquer the new world.

%prep
%setup -q -n %name

%build
ant

%install
rm -rf %buildroot

mkdir -p %buildroot/%_datadir/games/freecol
cp FreeCol.jar %buildroot/%_datadir/games/freecol
cp -a {data,jars} %buildroot/%_datadir/games/freecol

mkdir -p %buildroot/%_bindir
cat > %buildroot/%_bindir/freecol << EOF
#!/bin/sh

java -Xmx256M -jar %_datadir/games/freecol/FreeCol.jar \\
	--freecol-data %_datadir/games/freecol/data
EOF

mkdir -p %buildroot/%_datadir/pixmaps
cp packaging/common/freecol.xpm %buildroot/%_datadir/pixmaps

mkdir -p %buildroot/%_datadir/applications
cat > %buildroot/%_datadir/applications/mandriva-%name.desktop << EOF
[Desktop Entry]
Name=FreeCol
Comment=%Summary
Exec=%_bindir/%name
Icon=%name
Terminal=false
Type=Application
Categories=Game;StrategyGame;
EOF

%if %mdkversion < 200900
%post
%update_menus
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%endif

%clean
rm -rf %buildroot

%files
%defattr(0755,root,root,0755)
%_bindir/freecol
%defattr(0644,root,root,0755)
%doc packaging/common/{COPYING,README}
%_datadir/applications/mandriva-%name.desktop
%_datadir/games/freecol
%_datadir/pixmaps/freecol.xpm


%changelog
* Mon Aug 09 2010 Tomas Kindl <supp@mandriva.org> 0.9.4-1mdv2010.1
+ Revision: 568271
- bump to version 0.9.4, fixing memory leak causing slowdowns...

* Fri Mar 19 2010 Tomas Kindl <supp@mandriva.org> 0.9.2-1mdv2010.1
+ Revision: 525178
- bump to latest stable release

* Sun Jan 31 2010 Frederik Himpe <fhimpe@mandriva.org> 0.9.0-1mdv2010.1
+ Revision: 498657
- update to new version 0.9.0

* Sun Jul 26 2009 Emmanuel Andry <eandry@mandriva.org> 0.8.3-1mdv2010.0
+ Revision: 400406
- New version 0.8.3

* Sat Mar 21 2009 Emmanuel Andry <eandry@mandriva.org> 0.8.1-1mdv2009.1
+ Revision: 360004
- New version 0.8.1

* Fri Jan 16 2009 Zombie Ryushu <ryushu@mandriva.org> 0.8.0-2mdv2009.1
+ Revision: 330106
- New version
- New version

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 0.7.3-2mdv2009.0
+ Revision: 241603
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri Feb 01 2008 Funda Wang <fwang@mandriva.org> 0.7.3-1mdv2008.1
+ Revision: 161009
- New version 0.7.3

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

  + Emmanuel Andry <eandry@mandriva.org>
    - New version
    - drop old menu

* Wed May 02 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.6.0-1mdv2008.0
+ Revision: 20659
- All right... lets try now java-devel-sun instead of java-devel.
- Replaced jdk with java-devel BuildRequires to see if buildsystem finds
  it.
- Added BuildRequires for jdk.
- Import freecol

